import { UUID } from "https://deno.land/x/mongo@v0.31.2/mod.ts";
import { makeParameterModifier } from "../Router.ts";
import HttpError from "../HttpError.ts";

export default function uuid() {
    return makeParameterModifier((_req, val) => {
        try {
            return new UUID(val);
        }
        catch {
            throw new HttpError("Invalid UUID given.");
        }
    });
}